< envPaths

dbLoadDatabase("../../dbd/XPSExample.dbd")
XPSExample_registerRecordDeviceDriver(pdbbase)


# The following command creates a drvAsynIPPort connected to the socket server
drvAsynIPPortConfigure("XPSSocket","newport-xps10.cars.aps.anl.gov:5001",0,0,1)
asynSetTraceIOMask("XPSSocket",0,0x2)
#asynSetTraceMask("XPSSocket",0,0x9)

XPSDriverConfigure("XPSDriver", "XPSSocket", 0.1)
asynSetTraceIOMask("XPSDriver",0,0x2)
#asynSetTraceMask("XPSDriver",0,0x9)
epicsEnvSet("PREFIX", "XPS_TEACHER:")

dbLoadTemplate("./XPSExample.substitutions")
dbLoadRecords("$(ASYN)/db/asynRecord.db", "P=$(PREFIX),R=asyn1,PORT=XPSSocket,ADDR=0,IMAX=80,OMAX=80")
dbLoadRecords("$(ASYN)/db/asynRecord.db", "P=$(PREFIX),R=asyn2,PORT=XPSDriver,ADDR=0,IMAX=80,OMAX=80")

iocInit()

